#include<bits/stdc++.h>
#include<iostream>
long K;
int main(){
	using namespace std;
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);	
cin>>K;
cout<<3*K;
cout<<endl;
for(int i=0;i<K;i++)
	for(int j=0;j<3;j++)
	{
		cout<<j*3000+i<<" ";
	
		cout<<i;
		cout<<endl;
	}








}